/* 
    Document   : EstilosPagoServicios
    Created on : 10-dic-2012, 18:42:24
    Author     : fvega
    Description:
        Purpose of the stylesheet follows.
*/

root { 
    display: block;
}

.Celda{
    -fx-alignment: center;
}

.CajaCabecera{
    -fx-alignment: center;
    -fx-background-image: url("cabecera_ayuda.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 2 2 0 2;
    -fx-border-color: orange;
}

.CajaCabeceraParciales{
    -fx-alignment: center;
    -fx-background-image: url("cabecera_ayuda.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;

}

.CampoAutoCompletar{
    -fx-border-color:#E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4; 
    -fx-alignment:center;
    -fx-background-color: white;
    -fx-border-radius:10px;
    -fx-background-radius: 11px;
}
.CampoAutoCompletar:focused{
    -fx-border-color:#F6802B;
}
.CampoAutoCompletar:hover{
    -fx-border-color:#F6802B;
}

.ScrollPane{
    -fx-border-color: #E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
}
.ScrollPane:focused{
    -fx-border-color: #F6802B; 
}
.ScrollPane:hover{
    -fx-border-color: #F6802B; 
}

.TextField{
    -fx-font: 22pt Verdana; 
    -fx-border-color: #E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
}
.TextField:focused{
    -fx-border-color: #F6802B; 
}
.TextField:hover{
    -fx-border-color: #F6802B; 
}

.TextFieldImporte{
    -fx-font: 22pt Verdana; 
    -fx-border-color: #E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
}
.TextFieldImporte:focused{
    -fx-border-color: #F6802B; 
}
.TextFieldImporte:hover{
    -fx-border-color: #F6802B; 
}

.ContextMenu{
    -fx-font-size: 16px;
}
.choice-box {
    -fx-font-size: 16pt;
    -fx-font-weight: bold;
    -fx-base: #93be89;
}
#choice-box-popup-menu {
    -fx-font-size: 16pt;
    -fx-size: 200;
    /*-fx-shape: "M 0 0 h 14 l -7 8 z";
    -fx-scale-shape: false;*/
}

/*tabla*/
.column-header, .column-drag-header {

    -fx-alignment: center;
    -fx-font: normal 20px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 20;
    -fx-border-style: solid;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-border-insets: 0 1 1 0, 0 0 0 0;

    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    -fx-border-width: 0.083333em, 0.083333em;

}

.table-view .indexed-cell :selected {
    -fx-border-color: #f8c202;
    -fx-background-color: #f8c202;
}

.table-view .filler, .table-view{

    -fx-font: normal 20px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 20;
    -fx-border-style: solid;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-border-insets: 0 1 1 0, 0 0 0 0;
    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    -fx-border-width: 0.083333em, 0.083333em;

}

.table-view:focused{

    -fx-border-color: lightblue;
    -fx-border-width: .15em;
    -fx-border-insets: -1;
}

.table-view{
    -fx-background-color: white;
    
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
    -fx-border-color: transparent;
    -fx-border-width: 5;
    -fx-border-radius: 5;
    -fx-background-radius: 5;
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
}

.table-view .scroll-bar:vertical{

    -fx-color:#f8c202;
}

.table-view .indexed-cell{
    -fx-alingnment: center;
}

.table-view .indexed-cell :selected {
    -fx-alingnment: center;
    -fx-border-color: #f8c202;
    -fx-background-color: #f8c202;
}

.Pestania{
    -fx-tab-min-width: 200;
    -fx-tab-max-width: 200;
    -fx-font: normal 15px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-background-color:
        linear-gradient(#3E6BC4, #3660B3),
        linear-gradient(#4F75F2, #2152F2),
        linear-gradient(#2F66F2, #1757F7),
        linear-gradient(#3EADFC 2%, #0C3BE4 50%, #3E67FC 100%); 
}

.CajaEmisoresFrecuentes{
    -fx-background-color: white; 
    -fx-alignment: center;
    -fx-background-radius: 5;
    -fx-border-color: #DFDDDD;
    -fx-border-radius: 5;
    -fx-border-width: 5;
}

.CajaReferencias{
    -fx-background-color: white; 
    -fx-alignment: center;

}

.CajaEmpresas{
    -fx-background-color: white;
    -fx-alignment: center;

}

.EtiquetaOpciones{
    -fx-alignment: center;
    -fx-font: 20pt Verdana;
    -fx-text-fill: white;
    -fx-background-color: gray;
    -fx-background-radius: 5 0 0 0;
}

.EtiquetaClick{
    -fx-alignment: center;
    -fx-font: 20pt Verdana;
    -fx-text-fill: white;
    -fx-background-color: gray;
    -fx-background-radius: 0 5 0 0;
}
.EtiquetaClick:hover{
    -fx-alignment: center;
    -fx-font: 20pt Verdana;
    -fx-text-fill: red;
    -fx-background-color: gray;
    -fx-background-radius: 0 5 0 0;
}

.CajaPestaniaOpciones{
    -fx-alignment: bottom-center;
    -fx-border-color: transparent,#DFDDDD,transparent,#DFDDDD;
    -fx-border-width: 0 5 0 5;
}

.CajaFormularios{
    -fx-alignment: center;
    -fx-background-color: Lavender;
    -fx-background-radius: 5;
}

.CajaTablaPagosAcumulados{
    -fx-background-color: white;
    -fx-alignment: center;
    -fx-border-color: #DFDDDD;
    -fx-border-width: 5;
    -fx-background-radius: 5;
    -fx-border-radius: 5;
    -fx-background-insets: 2;
}

.CajaEtiquetasMontoPago{
    -fx-alignment: center-right bottom-left;

}

.EtiquetaMontoVenta{
    -fx-font: 60pt Verdana; 
    -fx-text-fill: black;
    -fx-background-color: transparent; 
    -fx-background-opacity: .1;
    -fx-text-alignment: right;
}

.CajaServiciosFrecuentesSuperior{
    -fx-alignment: center;
    -fx-background-color: white;

}

.CajaServiciosFrecuentesInferior{
    -fx-alignment: center;
    -fx-background-color: gray;
    -fx-border-color: transparent,#DFDDDD,transparent,#DFDDDD;
    -fx-border-width: 0 5 0 5;
}

.CajaComision{
    -fx-background-color: gray;
    -fx-alignment: center;
    -fx-border-color: #DFDDDD,#DFDDDD,#DFDDDD,#DFDDDD;
    -fx-border-width: 5;
}

.CajaImporteCambio{
    -fx-background-color: Lavender;
    -fx-alignment: center;
    -fx-border-color: #DFDDDD,transparent,#DFDDDD,transparent;
    -fx-border-width: 5 0 5 0;
}

.CajaBotonesPago{
    -fx-background-color: white;
    -fx-alignment: center;
    -fx-border-color: #DFDDDD,#DFDDDD,#DFDDDD,#DFDDDD;
    -fx-border-width: 5;
}

/*----*/

.scrollResumen .list-cell:filled:selected, .list-view:focused .list-cell:filled:selected:hover {
    -fx-background: -fx-accent;
    -fx-background-color: -fx-selection-bar;
    /* -fx-text-fill: -fx-selection-bar-text;  */
    -fx-text-fill: orange;
    -fx-font-size: 20pt;
}

.scrollResumen{
    -fx-border-width: 0;
    -fx-border-color: transparent;
    -fx-background-insets: 0;
    -fx-font-size: 18pt;
    -fx-font-weight: bold;
}

.scrollResumen *.scroll-bar:vertical{
    -fx-background-color: transparent;
}

.scrollResumen *.scroll-bar:vertical *.track{
    -fx-color: #DDDDDD;
    -fx-background-color: #DDDDDD;
}

.scrollResumen *.scroll-bar:vertical *.thumb{
    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
}

.scrollResumen *.scroll-bar:vertical *.thumb:hover{
    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
}

.scrollResumen .scroll-bar:vertical *.decrement-arrow {
    -fx-padding: 1 1 0 0;
    -fx-background-color: null;
    -fx-background-insets: 1 0 -1 0, 0;
}

.scrollResumen .scroll-bar:vertical *.increment-arrow {
    -fx-padding: 1 1 0 0;
    -fx-background-color: null;
    -fx-background-insets: 1 0 -1 0, 0;
}

.scrollResumen .scroll-bar:vertical *.increment-button {
    -fx-background-color: null;
    -fx-padding: 0 5 0 5;
}

.scrollResumen .scroll-bar:vertical *.decrement-button {
    -fx-background-color: null;
    -fx-padding: 0 5 0 5;
}

.choice-box {
    -fx-font-size: 16pt ;
    -fx-font-weight: bold;
}

#choice-box-popup-menu {
    -fx-font-size: 16pt ;
}

.Combo{
    -fx-background-color: linear-gradient(#DCDCDC, #A9A9A9),
        linear-gradient(#D3D3D3, #A9A9A9),
        linear-gradient(#C0C0C0, #A9A9A9),
        linear-gradient(#DCDCDC 2%, #A9A9A9 50%, #D3D3D3 100%); 
    -fx-font: 20pt Verdana;
    -fx-border-radius:10px;
    -fx-background-radius: 11px;
}

/*se agregan estilos para pantalla de oriflame*/

.CajaPrincipalOriflame{
    -fx-alignment: center;
    -fx-background-image: url("fondo_oriflame.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
}

.CajaPrincipalValida{
    -fx-alignment: center;
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
}

.CajaBarraSuperior{
    -fx-alignment: center-right bottom-left;
    -fx-background-color: transparent;
}

.CajaLogo{
    -fx-alignment: center-left;
    -fx-background-color: transparent;
}

.CajaInformacion{
    -fx-alignment: center;
    -fx-background-image: url("fondo_oriflame_2.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
}

.CajaTabla{
    -fx-alignment: center;
    -fx-background-image: url("fondo_oriflame_1.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
}

.TablaOriflame .filler, .table-view{
    -fx-font: normal 17px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 17;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-background-color: transparent; 
    -fx-border-width: 0px;
}

.TablaOriflame:focused{
    -fx-border-color: transparent;
    -fx-border-width: 0px;
}

.TablaOriflame{
    -fx-background-color: transparent;
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
    -fx-table-cell-text-color: white;
    -fx-border-color: transparent;
    -fx-border-width: 0px;
}

.TablaOriflame .scroll-bar:vertical{
    -fx-color:blue;
}

.TablaOriflame .indexed-cell{
    -fx-text-fill: black;
    -fx-alingnment: center;
    -fx-background-color: transparent;
    -fx-border-width: 0px;
}

.TablaOriflame .indexed-cell :selected {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
 }

.TablaOriflame .indexed-cell :focused {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
}

.TablaOriflame .indexed-cell :pressed {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
}

.CheckBoxOriflame .box{
    -fx-background-color: #FFFFFF;
    -fx-border-width: 1px;
    -fx-border-color: #000000;
}

.CheckBoxOriflameDes .box{
    -fx-background-color: red;
    -fx-border-width: 1px;
    -fx-border-color: #000000;
}

/*estilos de pantalla para maz*/

.CajaConfirmacion{
    -fx-alignment: center;
    -fx-background-image: url("fondo_oriflame.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
    -fx-background-color: transparent;
}

.CajaPrincipalMAZ{
    -fx-alignment: center;
    -fx-background-image: url("MAZfondo.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 0;
    -fx-background-color: transparent;
}

.CajaLogoMAZ{
    -fx-alignment: center;
    -fx-background-color: transparent;
}

.TextFieldMAZ{
    -fx-font: 21pt Verdana; 
    -fx-border-color: #E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 4;
    -fx-background-color: white; 
    -fx-border-radius: 10px;
    -fx-background-radius: 11px;
    -fx-text-fill: #FF4500;
}

.buttonEfectivo{
    -fx-background-color : #2980b9;
    -fx-text-fill :white;
    -fx-font: bolder 40px sans-serif;
    
}

.buttonTipoServicio{
    -fx-background-color : #2980b9;
    -fx-text-fill :white;
    -fx-font: bolder 25px sans-serif;
    -fx-margin : 20px;
}

.buttonTipoServicio:hover{
    -fx-background-color : #1b6595;
}

.buttonValidarPago{
    -fx-background-color : #2980b9;
    -fx-text-fill :white;
    -fx-font: normal 20px sans-serif;
    
}
.buttonValidarPagoPop{
    -fx-background-color : #2980b9;
    -fx-font: normal 20px sans-serif;
    -fx-text-fill :white;
}

.buttonAceptar{
    -fx-background-color : #2980b9;
    -fx-font: normal 20px sans-serif;
    -fx-text-fill :white;
}


.buttonCancelar{
    -fx-background-color : #CF000F;
    -fx-font: normal 20px sans-serif;
    -fx-text-fill :white;
}

.buttonMuestraEmisores{
    -fx-background-color : #DFDDDD;
    -fx-font: normal 20px sans-serif;
    -fx-text-fill :black;
    -fx-cursor: hand;
}

.cajaEmisoresSPane{
    -fx-background-color: rgba(0, 0, 0, 0.7);
    -fx-background-radius: 10;   
}

.fPaneEmisores{
    -fx-border-insets:20;
    -fx-padding:20;
    -fx-background-insets:20;
}